package openstates

type PersonNode struct {
	Id                 string
	Name               string
	SortName           string
	FamilyName         string
	GivenName          string
	Image              string
	BirthDate          string
	DeathDate          string
	Identifiers        []IdentifierNode
	OtherNames         []NameNode
	Links              []LinkNode
	ContactDetails     []ContactDetailNode
	CurrentMemberships []MembershipNode
	OldMemberships     []MembershipNode
	Sources            []LinkNode
	CreatedAt          string
	UpdatedAt          string
	Extras             string
}

type IdentifierNode struct {
	Identifier string
	Scheme     string
}
type NameNode struct {
	Name      string
	Note      string
	StartDate string
	EndDate   string
}
type ContactDetailNode struct {
	Type  string
	Value string
	Note  string
	Label string
}
type MembershipNode struct {
	Id           string
	PersonName   string
	Person       *PersonNode
	Organization *OrganizationNode
	Post         *PostNode
	Label        string
	Role         string
	StartDate    string
	EndDate      string
	CreatedAt    string
	UpdatedAt    string
	Extras       string
}
type LinkNode struct {
	Url  string
	Text string
}
